struct ringBuffer {
  uint8_t *buffer;
  int capacity;
  int reader;
  int writer;
};

void ringBufferCreate(int capacity, struct ringBuffer *out);
void ringBufferDestroy(struct ringBuffer *buf);
int ringBufferRead(struct ringBuffer *buf, uint8_t *out);
void ringBufferWrite(struct ringBuffer *buf, uint8_t *in);
